@charset "utf-8";

:root {
  --main-color: linear-gradient(135deg, #427eff 0%, #f13f79 70%) no-repeat;
}

@keyframes scale {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}

body {
  font-family: Arial, sans-serif;
  margin: 20px;
}
* {
  box-sizing: border-box;
}
main {
  max-width: 600px;
  margin: auto;
  padding: 100px 0;
}
label,
input,
textarea,
select {
  display: block;
  width: 100%;
  padding: 10px;
  border: 1px solid;
  border-radius: 3px;
}
label {
  font-weight: bold;
  margin-bottom: 10px;
  background: var(--main-color);
  border-radius: 10px;
  color: #FFF;
}
textarea {
  line-height: 1.5;
  height: 6em;
}
button {
  display: block;
  margin: 20px auto 0;
  transition: .3s all;
  box-shadow: 0px 4px 0px #b8305d;
  min-width: 150px;
}
button:hover {
  box-shadow: unset;
  transform: translateY(3px);
}
h2 {
  text-align: center;
  font-size: 32px;
  font-weight: bold;
  background: var(--main-color);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
form {
  margin-top: 20px;
}
form .form_list > li + li {
  margin-top: 30px;
}
.check {
  display: flex;
  box-sizing: border-box;
  gap: 10px;
  flex-wrap: wrap;
}
.check li {
  display: flex;
  margin: 0;
  flex-direction: row-reverse;
}
.check li input {
  display: block;
  width: 15px;
  height: 15px;
}
.check span {
  display: inline-block;
  font-size: 14px;
}
#otherPriorityText {
  margin-top: 10px;
  transform: translateY(-100px);
  opacity: 0;
  pointer-events: none;
  transition: all .3s;
  height: 0;
  display: none;
}
#otherPriorityText.active {
  display: block;
  opacity: 1;
  pointer-events: auto;
  animation: scale .4s both;
  height: 6em;
}
.btn_wrap {
  display: flex;
  max-width: 400px;
  margin: auto;
}
#other-priority {
  margin-top: 20px;
}

button{
  background: var(--main-color);
  border: none;
  cursor: pointer;
  outline: none;
  padding: 5px 15px;
  appearance: none;
  color: #FFF;
  font-weight: bold;
  border-radius: 5px;
}

@media screen and (max-width: 768px) {
  h2 {
    font-size: 28px;
  }
}

#loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgb(79 79 79 / 80%);
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  font-weight: bold;
  color: #ffffff;
  z-index: 9999;
  pointer-events: none;
  opacity: 0;
  transition: .3s all;
  flex-direction: column;
  letter-spacing: 5px;
}

#loading.active {
  opacity: 1;
}

@keyframes spin3D {
  from {
    transform: rotate3d(.5,.5,.5, 360deg);
  }
  to{
    transform: rotate3d(0deg);
  }
}

.spinner-box {
  width: 220px;
  height: 220px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: transparent;
}

.leo {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
}

.blue-orbit {
  width: 165px;
  height: 165px;
  border: 1px solid #91daffa5;
  -webkit-animation: spin3D 3s linear .2s infinite;
}

.green-orbit {
  width: 120px;
  height: 120px;
  border: 1px solid #91ffbfa5;
  -webkit-animation: spin3D 2s linear 0s infinite;
}

.red-orbit {
  width: 90px;
  height: 90px;
  border: 1px solid #ffca91a5;
  -webkit-animation: spin3D 1s linear 0s infinite;
}

.white-orbit {
  width: 60px;
  height: 60px;
  border: 2px solid #ffffff;
  -webkit-animation: spin3D 10s linear 0s infinite;
}

.w1 {
  transform: rotate3D(1, 1, 1, 90deg);
}

.w2 {
  transform: rotate3D(1, 2, .5, 90deg);
}

.w3 {
  transform: rotate3D(.5, 1, 2, 90deg);
}

@keyframes display {
  from {
    opacity: 0;
  }
  to{
    opacity: 1;
  }
}

#loading span:nth-child(1) {
  animation: display 1s infinite;
}
#loading span:nth-child(2) {
  animation: display 1s infinite .3s;
}
#loading span:nth-child(3) {
  animation: display 1s infinite .6s;
}
.error {
  display: none;
}
.error.active {
  color: red;
  margin-top: 10px;
  display: block;
}
#sendDisplay {
  position: fixed;
  height: 100vh;
  inset: 0;
  background: rgb(79 79 79 / 80%);
  z-index: 100;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: .3s all;
  pointer-events: none;
  opacity: 0;
}
#sendDisplay p {
  color: #FFF;
}
#sendDisplay.active {
  opacity: 1;
  pointer-events: auto;
}
#sendDisplay span:nth-child(1) {
  animation: display 1s infinite;
}
#sendDisplay span:nth-child(2) {
  animation: display 1s infinite .3s;
}
#sendDisplay span:nth-child(3) {
  animation: display 1s infinite .6s;
}

